package work_experience

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/work_experience"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /work_experience/list work_experience GetWorkExperienceList
//
// Get work experience list | 获取WorkExperience列表
//
// Get work experience list | 获取WorkExperience列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WorkExperienceListReq
//
// Responses:
//  200: WorkExperienceListResp

func GetWorkExperienceListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WorkExperienceListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := work_experience.NewGetWorkExperienceListLogic(r.Context(), svcCtx)
		resp, err := l.GetWorkExperienceList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
